[lv2-mdaEPiano] Initial import of SRPM

Brendan Jones bsjones at fedoraproject.org
Thu Feb 2 09:17:31 UTC 2012


commit b330e298f0ed68be508dc9e55e4311a1f5615a4c
Author: Brendan Jones <brendan.jones.it at gmail.com>
Date:   Thu Feb 2 10:17:07 2012 +0100

    Initial import of SRPM

 .gitignore                |    1 +
 lv2-mdaEPiano-snapshot.sh |   34 ++++++++++++++++++++++++++++
 lv2-mdaEPiano.spec        |   53 +++++++++++++++++++++++++++++++++++++++++++++
 sources                   |    1 +
 4 files changed, 89 insertions(+), 0 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e69de29..ad6a532 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1 @@
+/lv2-mdaEPiano-0-git9db45842.tar.bz2
diff --git a/lv2-mdaEPiano-snapshot.sh b/lv2-mdaEPiano-snapshot.sh
new file mode 100644
index 0000000..f93c265
--- /dev/null
+++ b/lv2-mdaEPiano-snapshot.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# $1 - revision number to checkout.
+: ${1?"You must either provide desired revision number \"X\" to checkout: `basename $0` X
+                                or fetch the latest revision by: `basename $0` HEAD"}
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+name=lv2-mdaEPiano
+version=0
+
+pushd "$tmp" >/dev/null
+echo "Fetching git revision: $1"
+git clone git://github.com/rekado/lv2-mdaEPiano.git $name-$version |tee $name.stdout
+ls
+pushd $name-$version
+git reset --hard $1
+popd
+echo "Fetched git revision: $1"
+rm -rf $name-$version/.git $name.stdout
+
+tar jcf "$pwd"/$name-$version-git$1.tar.bz2 $name-$version
+echo "Written: $name-$version-git$1.tar.bz2"
+popd >/dev/null
diff --git a/lv2-mdaEPiano.spec b/lv2-mdaEPiano.spec
new file mode 100644
index 0000000..7670106
--- /dev/null
+++ b/lv2-mdaEPiano.spec
@@ -0,0 +1,53 @@
+%global gitversion 9db45842
+
+Name:           lv2-mdaEPiano
+Version:        0
+Release:        0.2.git%{gitversion}%{?dist}
+Summary:        A port of the MDA EPiano VST plugin to LV2
+
+Group:          Applications/Multimedia
+License:        GPLv3+
+URL:            https://github.com/rekado/%{name}
+Source0:        %{name}-%{version}-git%{gitversion}.tar.bz2
+# check out specific git revision sh lv2-mdaEPiano-snapshot.sh %%gitversion
+Source1:        lv2-mdaEPiano-snapshot.sh
+
+BuildRequires:  lv2core-devel
+BuildRequires:  lv2-c++-tools-static
+Requires:       lv2core
+
+%description
+A port of the popular MDA EPiano VST plugin to LV2
+
+%prep
+%setup -q 
+sed -i -e 's|-O $(WARNINGS)|$(CFLAGS)|'  src/Makefile
+
+# Fix encoding issues
+for file in LICENSE README.md; do
+   sed 's|\r||' $file > $file.tmp
+   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
+   touch -r $file $file.tmp2
+   mv -f $file.tmp2 $file
+done
+
+%build
+cd src
+make PREFIX=%{_prefix} CFLAGS="%optflags" %{?_smp_mflags}
+
+%install
+cd src
+make install INSTALL_DIR=%{buildroot}%{_libdir}/lv2
+
+%files
+%doc LICENSE README.md
+%{_libdir}/lv2/lv2-mdaEPiano.lv2
+
+%changelog
+* Tue Jan 24 2012 Brendan Jones <brendan.jones.it at gmail.com> 0-0.2.git9db45842
+- Correct version, and update git script to remove .git
+- Correct build flags, build requires lv2-c++-tools-static
+
+* Sun Nov 27 2011 Brendan Jones <brendan.jones.it at gmail.com> 0-0.1.git5a4ab089
+- Initial build
+
diff --git a/sources b/sources
index e69de29..977a3af 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+d6797609071c1513aeb1b9ae6282eb16  lv2-mdaEPiano-0-git9db45842.tar.bz2


More information about the scm-commits mailing list